package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class McdgrpVo extends AbstractCommonVo {
    private McdVo rec;

    private MctVo blk;

    private McacbsVo cbs;

    private FeerefVo feeref;

    private PtsptaVo apl;

    private PtsptaVo ade;

    @Override
    public void reset() {
        if (rec == null) {
            rec = new McdVo();
        }
        if (blk == null) {
            blk = new MctVo();
        }
        if (cbs == null) {
            cbs = new McacbsVo();
        }
        cbs.reset();
        if (feeref == null) {
            feeref = new FeerefVo();
        }
        feeref.reset();
        if (apl == null) {
            apl = new PtsptaVo();
        }
        apl.reset();
        if (ade == null) {
            ade = new PtsptaVo();
        }
        ade.reset();
    }
}
